# Configuration Elasticsearch pour AEF Marketplace
cluster.name: aef-cluster
node.name: aef-node

# Network settings
network.host: 0.0.0.0
http.port: 9200
transport.port: 9300

# Discovery settings for single-node setup
discovery.type: single-node

# Security settings (disabled for development)
xpack.security.enabled: false
xpack.security.enrollment.enabled: false
xpack.security.http.ssl.enabled: false
xpack.security.transport.ssl.enabled: false

# Memory settings
bootstrap.memory_lock: false

# CORS settings for development
http.cors.enabled: true
http.cors.allow-origin: "*"
http.cors.allow-headers: "X-Requested-With,X-Auth-Token,Content-Type,Content-Length,Authorization"
http.cors.allow-credentials: true

# Index settings
index.number_of_shards: 1
index.number_of_replicas: 0

# Logging
logger.level: INFO
logger.org.elasticsearch.discovery: DEBUG

# Path settings (using Docker defaults)
path.data: /usr/share/elasticsearch/data
path.logs: /usr/share/elasticsearch/logs

# Performance settings for development
indices.memory.index_buffer_size: 20%
indices.recovery.max_bytes_per_sec: 100mb

# Action settings
action.auto_create_index: "+aef_*,-*"
action.destructive_requires_name: true 